from PySide2.QtGui import QPageSize, QPageLayout
from axipy import view_manager, data_manager

from ru_axioma_gis_stamp_to_report.ui.tools.cls_runner_create_report import PropertyRaportMap, CreateReportMap
from ru_axioma_gis_stamp_to_report.ui.tools.helper_params_stamp import factoryParamsStamp
from ru_axioma_gis_stamp_to_report.ui.tools.pages_report.helper_printer import createPdfPrinter, PageInfo
from ru_axioma_gis_stamp_to_report.ui.tools.pages_report.helper_report import createReportViewNew

cls_params=factoryParamsStamp(None)
name_table_list_base='list_25000'
name_second_list='list_10000'
tab_base=data_manager.find(name_table_list_base)
tab_second=data_manager.find(name_second_list)
active_map=view_manager.active

base_params=PropertyRaportMap(active_map,tab_base,0,False)
second_params=PropertyRaportMap(active_map,tab_second,1,False)
page_size=QPageSize.A2
orientation=QPageLayout.Landscape
printer=createPdfPrinter(page_size,orientation)
report_view=createReportViewNew(PageInfo(page_size,orientation),printer)
cls_create_report=CreateReportMap(cls_params,base_params,second_params,PageInfo(page_size,orientation),report_view,printer)
cls_create_report.run()