import axipy
from PySide2.QtPrintSupport import QPrinter
from axipy import LinearUnits, GeometryReportItem, Line, Style, Pnt

from ru_axioma_gis_stamp_to_report.ui.tools.stamp_cls import loadStamp

reporet_views= axipy.view_manager.reportviews
active_report_view=reporet_views[0]
printer=active_report_view.get_printer()
pageMargins=printer.getPageMargins(QPrinter.Millimeter	)
report = active_report_view.report
page_size = report.page_size
unit = report.unit
path_db=r"E:\Support\AxiomaTesting\Report\Stamp\stamp_test.db"
cls_stamp=loadStamp(path_db,1)
bound_stamp=cls_stamp.bound
start_x=page_size.width()-bound_stamp.width/10
#start_y=page_size.height()-bound_stamp.height/10
start_y=page_size.height()
#start_y=start_x=0
geometrys=cls_stamp.getGeometry(start_x,start_y,unit)
for geo_obj in geometrys:
    geo_item=GeometryReportItem()
    geo_item.geometry=geo_obj['geometry']
    geo_item.style=geo_obj['style']
    report.items.add(geo_item)
line=Line(Pnt(0,0),Pnt(page_size.width(),0))
style=Style.from_mapinfo('Pen (25, 2, 0)')
geo_item=GeometryReportItem()
geo_item.geometry=line
geo_item.style=style
report.items.add(geo_item)
line=Line(Pnt(page_size.width(),0),Pnt(page_size.width(),page_size.height()))
geo_item=GeometryReportItem()
geo_item.geometry=line
geo_item.style=style
report.items.add(geo_item)
line=Line(Pnt(0,0),Pnt(0,page_size.height()))
geo_item=GeometryReportItem()
geo_item.geometry=line
geo_item.style=style
report.items.add(geo_item)
line=Line(Pnt(0,page_size.height()),Pnt(page_size.width(),page_size.height()))
geo_item=GeometryReportItem()
geo_item.geometry=line
geo_item.style=style
report.items.add(geo_item)

