from PySide2.QtGui import QTransform
from axipy import view_manager, Rect, Text, GeometryReportItem, Style

report_view = view_manager.create_reportview()
r = Rect(8, 6, 11, 7)
text = Text("Пример\nтекста", rect=r, angle=0, view=report_view)
geomItem = GeometryReportItem()
geomItem.geometry = text
geomItem.style = Style.for_geometry(text)
report_view.report.items.add(geomItem)
tr= QTransform.fromScale(0.1, 0.1)
tr *= QTransform.fromTranslate(5, 0)
#tr= QTransform.fromTranslate(5, 0)
r = Rect(80, 60, 110, 70)
new_text=Text("Пример\nтекста", rect=r, angle=0, view=report_view)
offset_text=new_text.affine_transform(tr)
geomItem = GeometryReportItem()
geomItem.geometry = offset_text
geomItem.style = Style.for_geometry(offset_text)
report_view.report.items.add(geomItem)
