import axipy
from axipy import Style, Line, Pnt

from ru_axioma_gis_stamp_to_report.ui.tools.TransformAxi import addItemToReport
from ru_axioma_gis_stamp_to_report.ui.tools.stamp_cls import loadStamp

reporet_views= axipy.view_manager.reportviews
active_report_view=reporet_views[0]
printer=active_report_view.get_printer()
#pageMargins=printer.getPageMargins(QPrinter.Millimeter	)
report = active_report_view.report
page_size = report.page_size
unit = report.unit
path_db=r"E:\Support\AxiomaTesting\Report\Stamp\stamp_test.db"
cls_stamp_3=loadStamp(path_db,3)
cls_stamp_2=loadStamp(path_db,2)
bound_stamp_2=cls_stamp_2.bound
bound_stamp_3=cls_stamp_3.bound
unit_stamp=cls_stamp_3.unit
scale=unit_stamp.to_unit(unit)
start_x=bound_stamp_3.height*scale
#start_y=page_size.height()-bound_stamp.height/10
start_y=page_size.height()-bound_stamp_2.width*scale
#start_y=page_size.height()
cls_stamp_3.paramsTransform(start_x,start_y,-90,unit)
trasfoms_objects=cls_stamp_3.getTransfromGeometry(True)
for obj in trasfoms_objects:
    addItemToReport(report,obj['geometry'],obj['style'])
start_x=bound_stamp_3.height*scale
#start_y=page_size.height()-bound_stamp.height/10
#start_y=page_size.height()-bound_stamp.width*scale
start_y=page_size.height()
cls_stamp_2.paramsTransform(start_x,start_y,-90,unit)
trasfoms_objects=cls_stamp_2.getTransfromGeometry(True)
for obj in trasfoms_objects:
    addItemToReport(report,obj['geometry'],obj['style'])
cls_stamp=loadStamp(path_db,1)
bound_stamp=cls_stamp.bound
unit_stamp=cls_stamp.unit
scale=unit_stamp.to_unit(unit)
start_x=page_size.width()-bound_stamp.width*scale
#start_y=page_size.height()-bound_stamp.height/10
start_y=page_size.height()-bound_stamp.width*scale
start_y=page_size.height()
cls_stamp.paramsTransform(start_x,start_y,0,unit)
trasfoms_objects=cls_stamp.getTransfromGeometry(True)
for obj in trasfoms_objects:
    addItemToReport(report,obj['geometry'],obj['style'])
x_min=bound_stamp_3.height*scale
line=Line(Pnt(x_min,0),Pnt(page_size.width(),0))
style=Style.from_mapinfo('Pen (25, 2, 0)')

addItemToReport(report,line,style)
line=Line(Pnt(page_size.width(),0),Pnt(page_size.width(),page_size.height()))
addItemToReport(report,line,style)

line=Line(Pnt(x_min,0),Pnt(x_min,page_size.height()))
addItemToReport(report,line,style)
line=Line(Pnt(x_min,page_size.height()),Pnt(page_size.width(),page_size.height()))
addItemToReport(report,line,style)