import math

from PySide2.QtGui import QTransform
from axipy import init_axioma, AxiomaInitLogLevel, Geometry, data_manager, provider_manager

from ru_axioma_gis_stamp_to_report.ui.tools.stamp_cls import transformMifText

app = init_axioma(log_level=AxiomaInitLogLevel.disabled, load_python_plugins=False)
'''
path_tab=r"E:\Support\AxiomaTesting\Report\Stamp\Text_to_mif\Test_txt.tab"
tab=provider_manager.openfile(path_tab)
for ft in tab.items():
    print(ft.geometry.to_mif())
'''
str_mif='Text "Инв.№ подл." 2.095 11.8680001 26.4723959 15.8818336'
angle=90
angle_radians=math.radians(angle)
cosa=math.cos(angle_radians)
sina=math.sin(angle_radians)

tr = QTransform(cosa, sina, -sina, cosa, 0, 0)
new_text=transformMifText(str_mif,tr)
app.exit()