from PySide2.QtGui import QPageSize
from axipy import LinearUnits

from ru_axioma_gis_stamp_to_report.ui.tools.db.dbTools import DbTools
from ru_axioma_gis_stamp_to_report.ui.tools.pages_report.helper_report import createReportView
from ru_axioma_gis_stamp_to_report.ui.tools.pages_report.virtual_pages import PageForStamp

size_page=QPageSize.A4
view_report=createReportView(size_page,0)
path_db=r"E:\Support\AxiomaTesting\Report\Stamp\stamp_test.db"
db=DbTools(path_db)
base_page=PageForStamp(db)

id_page=[1,2,3]

#base_page.setPageSize(size_page,1)

base_page.setPageSize(size_page,0)
base_page.load(id_page)
db.close()
base_page.drawBigStamp(view_report)
bound_map=base_page.mapBound(0,LinearUnits.cm)
print("Start point:X="+str(bound_map.xmin)+" Y="+str(bound_map.ymin)+" width="+str(bound_map.width)+" height="+str(bound_map.height))


