import axipy
from axipy import view_manager, UnitValue, LinearUnits, Schema, Attribute, provider_manager, Feature

#from ru_axioma_gis_stamp_to_report.Test.InitReportViewPageA3Landscape import height
from ru_axioma_gis_stamp_to_report.ui.tools.pages_report.helper_bounds import CalculatorListFromBound

scale_out=2500
map_view=view_manager.active
width=18.5
height=27.2
scale=UnitValue(2500,LinearUnits.cm)
scale=UnitValue(2500,LinearUnits.cm)
#scale=UnitValue(1000,LinearUnits.cm)
#scale=UnitValue(500,LinearUnits.cm)
cls_bounds=CalculatorListFromBound(None,map_view,UnitValue(width,LinearUnits.cm),UnitValue(height,LinearUnits.cm),scale)
cls_bounds.run(True)
list_bounds=cls_bounds.listBounds
schema = Schema(
    Attribute.integer('id_list'),

    coordsystem=map_view.coordsystem
)
path_out=r"E:\Support\AxiomaTesting\Report\list_bounds_2500.tab"
tab=provider_manager.tab.create_open(path_out,schema)
for i,bnd in enumerate(list_bounds):
    ft=Feature({'id_list':i+1},geometry=bnd)
    tab.insert(ft)


