from PySide2.QtGui import QTransform
from axipy import Point


def transformMifText(mif_text,tr):
    ind_start=mif_text.rfind('"')
    sub_bound=mif_text[ind_start+1:len(mif_text)].strip()
    xy_bound=sub_bound.split(' ')
    pt1=Point(float(xy_bound[0]),float(xy_bound[1]))
    pt2 = Point(float(xy_bound[2]), float(xy_bound[3]))
    pt_1_t=pt1.affine_transform(tr)
    pt_2_t = pt2.affine_transform(tr)
    out_mif=mif_text[0:ind_start+1]+" "+str(pt_1_t.x)+" "+str(pt_1_t.y)+" "+str(pt_2_t.x)+" "+str(pt_2_t.y)
    jkl=0
tr= QTransform.fromScale(0.1, 0.1)
tr *= QTransform.fromTranslate(10.349, 16.154000000000003)
mif_text='Text "Изм." 1.981 25.834786 7.7847676 28.958'
transformMifText(mif_text,tr)
