import math

from PySide2.QtGui import QTransform
from axipy import init_axioma, AxiomaInitLogLevel, Geometry

app = init_axioma(log_level=AxiomaInitLogLevel.disabled, load_python_plugins=False)
mif='Line 0 7.5 85 7.5'
mif='Line 0 0 85 0'
mif='Line 0 12.5 85 12.5'
mif='Line 0 7.5 85 7.5'
geo_object=Geometry.from_mif(mif)
angle=-90
angle=90
angle_radians=math.radians(angle)
cosa=math.cos(angle_radians)
sina=math.sin(angle_radians)
scale=0.1
scale=1
dx=20
dy=0
tr= QTransform.fromScale(scale, scale)
tr *= QTransform(cosa, sina, -sina, cosa, 0, 0)
tr *= QTransform.fromTranslate(dx, dy)
new_line=geo_object.affine_transform(tr)
jk=0
app.exit()
