import json
from pathlib import Path
def loadJson(path_file):
    with open(str(path_file), encoding='utf-8') as fh:
        data = json.load(fh)
    return data
def writeJson(data_json,path_file):

    with open(str(path_file), 'w') as outfile:
        json.dump(data_json, outfile, ensure_ascii=False)
class DataPlugins:
    __name_config_size_list='config_size_list.json'
    def __init__(self,path_folder:Path):
        self.__path_folder=path_folder
        self.__path_config_size=path_folder.joinpath(self.__name_config_size_list)
    def loadConfigListSize(self):
        if self.__path_config_size.exists():
            return loadJson(self.__path_config_size)
        return {"name_list":"A4","orientation":0}
    def saveConfigListSize(self,data_config):
        writeJson(data_config,self.__path_config_size)
    @property
    def get_plugin_data_dir(self):
        return self.__path_folder



