from PySide2.QtGui import QPageSize
from PySide2.QtPrintSupport import QPrinter
from axipy import view_manager

printer = QPrinter()
printer.setPageSize(QPageSize(QPageSize.A4))
printer.setOutputFormat(QPrinter.PdfFormat)
reportview = view_manager.create_reportview()
reportview.set_printer(printer)
reportview.report.horisontal_pages = 1
reportview.report.vertical_pages=3
