from PySide2.QtGui import QTransform
from axipy import view_manager, Rect, Text, GeometryReportItem, Style, Geometry

report_view = view_manager.create_reportview()
mif_text='Text "Изм." 1.981 25.834786 7.7847676 28.958'
style='Font ("Arial", 0, 16, 0)'
geo_text_1=Geometry.from_mif(mif_text)
tr= QTransform.fromScale(0.1, 0.1)
tr *= QTransform.fromTranslate(0, 10)
#geo_text=geo_text_1.affine_transform(tr)
geomItem = GeometryReportItem()
geomItem.geometry = geo_text_1
geomItem.style = Style.from_mapinfo(style)
report_view.report.items.add(geomItem)
