from PySide2.QtCore import QMarginsF
from PySide2.QtGui import QPageSize, QPageLayout
from PySide2.QtPrintSupport import QPrinter

from ru_axioma_gis_loadOsm.ui.tools.add_helper.db.dbTools import DbTools
from ru_axioma_gis_stamp_to_report.ui.tools.helper_params_stamp import factoryParamsStamp
from ru_axioma_gis_stamp_to_report.ui.tools.pages_report.helper_report import createReportView
from ru_axioma_gis_stamp_to_report.ui.tools.pages_report.virtual_pages import PageForStamp

path_db=r"C:\Rubtsov\Python\AxiomaPlugins\ru_axioma_gis_stamp_to_report\ui\tools\pages_report\v1_stamp.db"
path_json_data=r"E:\Support\AxiomaTesting\Report\Stamp\TestConf.json"
#cls_data=factoryParamsStamp(path_json_data)
cls_data=factoryParamsStamp(None)
name_field_list_id='id_list'
db=DbTools(path_db)
base_page=PageForStamp(db)
id_page=[1,2,3]
size_page=QPageSize.A4
size_page=QPageSize.A3
#base_page.setPageSize(size_page,1)
base_page.load(id_page,cls_data)
base_page.setPageSize(size_page,1)
base_page.addParamList("scale","1:500")
base_page.addParamList("count_list","10")
base_page.addParamList("curent_list","1")
db.close()
printer=QPrinter()
printer.setOutputFormat(QPrinter.PdfFormat)
printer.setOutputFileName(r"E:\Support\AxiomaTesting\Report\a3_stamp.pdf")
printer.setPageSize(QPageSize(QPageSize.A3))
layout=QPageLayout(QPageSize(QPageSize.A3), QPageLayout.Landscape, QMarginsF())
printer.setPageLayout(layout)
view_report=createReportView(size_page,1,printer)
base_page.drawBigStamp(view_report)