import axipy
from axipy import Rect, Text, Style, GeometryReportItem, Rectangle, Point

reporet_views= axipy.view_manager.reportviews
active_report_view=reporet_views[0]
rect=Rect(11.07,6.63,14.22,7.77)
text = Text("Пример", rect=rect, angle=0, view=active_report_view)
style_Text=Style.from_mapinfo('Font ("Arial", 0, 16, 0)')
geomItem = GeometryReportItem()
geomItem.geometry=text
geomItem.style=style_Text
active_report_view.report.items.add(geomItem)
geo_rect=Rectangle(rect)
geomItem = GeometryReportItem()
geomItem.geometry=geo_rect
geomItem.style=Style.from_mapinfo('Pen (3, 2, 16711680) Brush (1, 16777215, 16777215)')
active_report_view.report.items.add(geomItem)
point=Point(8.02,8.96)
geomItem = GeometryReportItem()
geomItem.geometry=point
geomItem.style=Style.from_mapinfo('Symbol (35, 0, 12)')
active_report_view.report.items.add(geomItem)
text_rotate=text.rotate((8.02,8.96),-90)
geomItem = GeometryReportItem()
geomItem.geometry=text_rotate
geomItem.style=style_Text
active_report_view.report.items.add(geomItem)
rot_rect=geo_rect.rotate((8.02,8.96),-90)
geomItem = GeometryReportItem()
geomItem.geometry=rot_rect
geomItem.style=Style.from_mapinfo('Pen (3, 2, 16711680) Brush (1, 16777215, 16777215)')
active_report_view.report.items.add(geomItem)


