import axipy
from axipy import Style, Geometry

from ru_axioma_gis_stamp_to_report.Test.Simple.TransformAxi import correctMifText, addItemToReport, AxiTransform

reporet_views= axipy.view_manager.reportviews
active_report_view=reporet_views[0]
report=active_report_view.report
mif_text='Text "Инв.№ подл." 2.095 7.8541665 22.8278718 11.868'
text_style='Font ("Arial", 0, 16, 0)'
style=Style.from_mapinfo(text_style)
geo_text=correctMifText(mif_text)
#addItemToReport(report,geo_text,style)
cls_transform=AxiTransform(1.25,20,-90,0.1)
#cls_transform=AxiTransform(0,16,0,0.1)
new_text=cls_transform.transform(geo_text)
addItemToReport(report,new_text,style)
mif_line='Line 0 7.5 85 7.5'
geo_line=Geometry.from_mif(mif_line)
style=Style.from_mapinfo('Pen (25, 2, 0)')
new_line=cls_transform.transform(geo_line)
addItemToReport(report,new_line,style)
mif_line='Line 0 0 85 0'
geo_line=Geometry.from_mif(mif_line)
style=Style.from_mapinfo('Pen (25, 2, 0)')
new_line=cls_transform.transform(geo_line)
addItemToReport(report,new_line,style)