import math

from PySide2.QtGui import QTransform
from axipy import init_axioma, AxiomaInitLogLevel, Geometry

from ru_axioma_gis_stamp_to_report.ui.tools.stamp_cls import transformMifText

app = init_axioma(log_level=AxiomaInitLogLevel.disabled, load_python_plugins=False)
mif='Line 0 7.5 85 7.5'
mif='Line 0 0 85 0'
mif='Line 0 12.5 85 12.5'
mif='Text "Взам. инв. №" 61.595 7.8541665 83.1496016 11.868'
mif='Text "Взам. инв. №" 5.29 9.25 12.01 10.69'
geo_object=Geometry.from_mif(mif)
angle=-90
angle=90
angle_radians=math.radians(angle)
cosa=math.cos(angle_radians)
sina=math.sin(angle_radians)
scale=0.1
scale=1
dx=20
dx=0
dy=0
dx=-5.29
dy=-9.25
#tr= QTransform.fromScale(scale, scale)
#tr *= QTransform(cosa, sina, -sina, cosa, 0, 0)
tr = QTransform.fromTranslate(dx, dy)
tr *= QTransform(cosa, sina, -sina, cosa, 0, 0)
#new_text=transformMifText(mif,tr,angle)
geo_text=Geometry.from_mif(mif)
new_txt=geo_text.affine_transform(tr)
new_line=transformMifText(mif,tr,90)
jk=0
app.exit()
