from PySide2.QtCore import QMarginsF
from PySide2.QtGui import QPageSize, QPageLayout
from PySide2.QtPrintSupport import QPrinter
from axipy import view_manager

from ru_axioma_gis_stamp_to_report.ui.tools.pages_report.helper_printer import PageInfo


def createReportView(size_list,orientation,printer=None):
    if printer is None:
        printer=QPrinter()
        printer.setPageSize(QPageSize(size_list))
        q_oretntation=QPageLayout.Portrait
        if orientation==1:
            q_oretntation=QPageLayout.Landscape
        layout = QPageLayout(QPageSize(size_list), q_oretntation, QMarginsF())
        printer.setPageLayout(layout)
    reportview = view_manager.create_reportview()
    reportview.set_printer(printer)
    return reportview
def createReportViewNew(page_info:PageInfo,printer=None):
    if printer is None:
        printer=QPrinter()
        printer.setPageSize(QPageSize(page_info.page_size))
        q_oretntation=QPageLayout.Portrait

        layout = QPageLayout(QPageSize(page_info.page_size), page_info.orientation, QMarginsF())
        printer.setPageLayout(layout)
    reportview = view_manager.create_reportview()
    reportview.set_printer(printer)
    return reportview
